Service Accounts

get

List Service Accounts

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired
Responses
chevron-right
200

ListServiceAccountsResponse contains a list of service accounts.

application/json
deletedbooleanOptional

Indicates if the service account has been marked for deletion.

emailstringOptional

The email address of the service account.

lastActivestring · date-timeOptional

Timestamp of the last activity detected for this service account.

namestringOptional

The name of the service account.

serviceAccountIdstringOptional

The UUID of the service account.

get
/api/rbac/service-accounts/list
get

Get service account by ID

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired
Path parameters
idstringRequired

ID of the service account to retrieve

Responses
chevron-right
200

ServiceAccountsWithPolicyResponse defines the response structure for getting a single service account.

application/json
deletedbooleanOptional

Indicates if the service account has been marked for deletion.

emailstringOptional

The email address of the service account.

lastActivestring · date-timeOptional

Timestamp of the last activity detected for this service account.

namestringOptional

The name of the service account.

serviceAccountIdstringOptional

The UUID of the service account.

get
/api/rbac/service-account/{id}
post

Create Service Account

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired
Body
emailstringRequired

The email address associated with the service account.

namestringRequired

The desired name for the service account.

policyUUIDsstring[]Required

A list of policy UUIDs to assign to the service account.

Responses
chevron-right
200Success
application/json
serviceAccountIdstringRequired

The UUID of the created service account.

post
/api/rbac/service-account/create
delete

Delete Service Account

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired
Path parameters
idstringRequired

ID of the service account to delete

Responses
delete
/api/rbac/service-account/{id}

No content

put

Update Service Account

chevron-right
lockRequired scopes
This endpoint requires the following scopes:
Authorizations
AuthorizationstringRequired
Body
emailstringOptional

The new email address for the service account (optional).

overridePoliciesbooleanOptional
policyUUIDsstring[]Optional

A list of policy UUIDs to set for the service account (optional, replaces existing). Provide empty list to remove all.

serviceAccountIdstringRequired

The UUID of the service account to update.

Responses
chevron-right
200

UpdateServiceAccountResponseWrapper defines the response structure for updating a service account.

application/json
serviceAccountIdstringOptional

The UUID of the updated service account.

put
/api/rbac/service-account/update

Last updated